Package org.apache.lucene.sandbox.search

# Class DocValuesMultiRangeQuery.LongRange

java.lang.Object
org.apache.lucene.sandbox.search.DocValuesMultiRangeQuery.LongRange

Enclosing class:
  `DocValuesMultiRangeQuery`

public static class DocValuesMultiRangeQuery.LongRange extends Object
Representation of a single clause in a MultiRangeQuery

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `lower`
  `protected long`
  `upper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongRange(long lowerValue, long upperValue)`
  copies ByteRefs passed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### lower

    protected long lower

  - ### upper

    protected long upper

- ## Constructor Details

  - ### LongRange

    public LongRange(long lowerValue, long upperValue)
    copies ByteRefs passed

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`